Flickr2commons has stopped working since the upload bug a week ago
Closed, ResolvedPublic

Description

Author: pku

Description:
Flickr2commons works as normal. It tells that the file should be on commons, and it gives a link to edit categories etcetera. But the file on commons does not exist.

My most recent try tonight ended like this:

Uploaded successfully.
Everything seems to be OK. Log will be written to /tmp/f2c_K4aqLm-dir/debug.txt.

[[Image:StGeorge church ruin.jpg|thumb|StGeorge church ruin.]]

Now check the new image has good categories!

For commons, this is a critical problem. See the village pump on commens, and search for "flickr2commons".


Version: unspecified
Severity: major
URL: http://toolserver.org/~magnus/flickr2commons.php

bzimport added a project: MediaWiki-Uploading.Via ConduitNov 21 2014, 10:49 PM
bzimport set Reference to bz20815.
bzimport created this task.Via LegacySep 25 2009, 10:26 PM
brion added a comment.Via ConduitSep 28 2009, 7:14 PM

This is one of Magnus's tools... Magnus can you take a peek and help debug this? Most other tools seem to have been fixed by relaxing the token check to match previous form validation, but I guess this one's still broken somehow.

bzimport added a comment.Via ConduitSep 28 2009, 9:09 PM

pku wrote:

I now noticed that something does get transferred to commons by Flickr2commons. When I later tried to upload using the upload form, I got a message that the file name was occupied.

Magnus added a comment.Via ConduitOct 3 2009, 9:48 PM

Apparently, it broke when the Commons upload system was changed ever so slightly. Should be fixed now.

bzimport added a comment.Via ConduitOct 4 2009, 9:26 AM

pku wrote:

Yes, I can confirm that it works now. However, one new problem was introduced: Flickr2commons now changes foreign characters in the description field into question marks on Commons.

bzimport added a comment.Via ConduitOct 4 2009, 1:33 PM

bugs wrote:

(In reply to comment #4)

Yes, I can confirm that it works now. However, one new problem was introduced:
Flickr2commons now changes foreign characters in the description field into
question marks on Commons.

Please create a new bug for this.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:47 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 10:49 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.